#!/bin/sh
DELAY=30
MAPNODE=/etc/warewulf/.Limulus/limulus-map-node

NODES=`/usr/bin/whatsup -u -m pingd`
if [ "$NODES" != "" ] ; then
	echo $"$0: Shutting down nodes: $NODES"
	/usr/bin/pdsh -w $NODES '/sbin/shutdown -H now' &
  	sleep $DELAY
	for NODE in {0..6} ; do
		RELAY=`$MAPNODE n$NODE`
		/usr/sbin/relayset $RELAY off
	done
fi
echo 'Node Shutdown Complete' 
