#!/bin/bash
# Uses "whatsup" and "pingd" to check nodes.
# All hosts are placed in /etc/pingd.conf
pgrep pingd || systemctl restart whatsup-pingd 
FILEPATH=/etc/warewulf/.Limulus
TEMP=`date +%s`
if [ ! -e $FILEPATH ];
then
  exit 1
fi
/usr/bin/whatsup -u -m pingd > $FILEPATH/up-nodes.$TEMP
/usr/bin/whatsup -d -m pingd > $FILEPATH/down-nodes.$TEMP
cp $FILEPATH/up-nodes.$TEMP $FILEPATH/up-nodes
cp $FILEPATH/down-nodes.$TEMP $FILEPATH/down-nodes
rm $FILEPATH/down-nodes.$TEMP
rm $FILEPATH/up-nodes.$TEMP
exit 0

